com.sun.jna.platform.unix

## Class X11.XWMHints

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XWMHints

- Enclosing interface:
    X11

      @Structure.FieldOrder(value={"flags","input","initial_state","icon_pixmap","icon_window","icon_x","icon_y","icon_mask","window_group"})
      public static class X11.XWMHints
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NativeLong` | `flags`
    `X11.Pixmap` | `icon_mask`
    `X11.Pixmap` | `icon_pixmap`
    `X11.Window` | `icon_window`
    `int` | `icon_x`
    `int` | `icon_y`
    `int` | `initial_state`
    `boolean` | `input`
    `X11.XID` | `window_group`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWMHints()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### flags

          public NativeLong flags

    - #### input

          public boolean input

    - #### initial_state

          public int initial_state

    - #### icon_pixmap

          public X11.Pixmap icon_pixmap

    - #### icon_window

          public X11.Window icon_window

    - #### icon_x

          public int icon_x

    - #### icon_y

          public int icon_y

    - #### icon_mask

          public X11.Pixmap icon_mask

    - #### window_group

          public X11.XID window_group

  - ### Constructor Detail

    - #### XWMHints

          public XWMHints()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.